$ !+
$ !             UCX$SMTP_RECV_STARTUP.COM -- Digital TCP/IP Services for OpenVMS Software,
$ !                        SMTP Configuration Procedure
$ !
$ !                    COPYRIGHT (C) 1991, 1992, 1993, 1995 BY
$ !                    DIGITAL EQUIPMENT CORPORATION, MAYNARD
$ !                     MASSACHUSETTS.  ALL RIGHTS RESERVED.
$ !
$ !  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED
$ !  ONLY IN ACCORDANCE WITH THE TERMS OF SUCH LICENSE AND WITH THE INCLUSION
$ !  OF THE ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER COPIES
$ !  THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY OTHER
$ !  PERSON.  NO TITLE TO AND OWNERSHIP OF THE SOFTWARE IS HEREBY TRANSFERRED.
$ !
$ !  THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
$ !  SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
$ !
$ !  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE OR RELIABILITY OF ITS
$ !  SOFTWARE ON EQUIPMENT THAT IS NOT SUPPLIED BY DIGITAL.
$ !
$ !*****************************************************************************
$ !
$ ! Modifications
$ !
$ ! 200	lhh	Aug-19-1991
$ !	Wrote the original file.
$ ! 01  dsr	Jul-2-1992
$ !	Take out reply/all/bell
$ !*****************************************************************************
$ !
$	!
$	! Check whether SMTP is started.
$	!
$	if .not. f$file("SYS$SHARE:UCX$SMTP_MAILSHR.EXE", "KNOWN") -
	then goto smtp_not_started
$	!
$       ! Purge log files
$       !
$       SAVE=1000+1000*f$getsyi("CLUSTER_NODES")
$       PURGE/KEEP='save'
$       !
$	! Run receiver.
$	!
$       MY_ADDRESS_LONG[0,32]=F$INTEGER(F$TRNLNM("SYS$REM_NODE")-"::")
$       MY_ADDRESS=F$FAO("!UB.!UB.!UB.!UB",F$CVUI(0,8,MY_ADDRESS_LONG),F$CVUI(8,8,MY_ADDRESS_LONG),F$CVUI(16,8,MY_ADDRESS_LONG),-
         F$CVUI(24,8,MY_ADDRESS_LONG))'"
$       MY_ADDRESS_REVERSE=F$FAO("!UB.!UB.!UB.!UB",F$CVUI(24,8,MY_ADDRESS_LONG),F$CVUI(16,8,MY_ADDRESS_LONG),-
         F$CVUI(8,8,MY_ADDRESS_LONG),F$CVUI(0,8,MY_ADDRESS_LONG))'"
$       MY_NET_8=F$FAO("!UB.!UB.!UB",F$CVUI(0,8,MY_ADDRESS_LONG),F$CVUI(8,8,MY_ADDRESS_LONG),F$CVUI(16,8,MY_ADDRESS_LONG))'"
$       MY_NET_16=F$FAO("!UB.!UB",F$CVUI(0,8,MY_ADDRESS_LONG),F$CVUI(8,8,MY_ADDRESS_LONG))'"
$       MY_NET_24=F$FAO("!UB",F$CVUI(0,8,MY_ADDRESS_LONG))'"
$	WRITE SYS$OUTPUT F$TIME()+" "+MY_ADDRESS
$       SET MESSAGE/NOFACILITY/NOIDENTIFICATION/NOSEVERITY/NOTEXT
$       SET NOON
$
$       SEARCH/NOLOG/NOWARN/OUT=NL: SPAM_FREE_NET.TXT "|''MY_NET_8'|","|''MY_NET_16'|","|''MY_NET_24'|"
$       IF $STATUS.EQ.1 THEN GOTO CHECK_OK
$       SEARCH/NOLOG/NOWARN/OUT=NL: SPAM_FREE_HOST.TXT "|''MY_ADDRESS'|"
$       IF $STATUS.EQ.1 THEN GOTO CHECK_OK
$
$       SEARCH/NOLOG/NOWARN/OUT=NL: SPAM_NET.TXT "|''MY_NET_8'|","|''MY_NET_16'|","|''MY_NET_24'|"
$       IF $STATUS.EQ.1
$       THEN
$         WRITE SYS$OUTPUT "''F$TIME()' ''MY_ADDRESS' SPAM via local network database rejected"
$         SET MESSAGE/FACILITY/IDENTIFICATION/SEVERITY/TEXT
$         EXIT
$       ENDIF
$       SEARCH/NOLOG/NOWARN/OUT=NL: SPAM_HOST.TXT "|''MY_ADDRESS'|"
$       IF $STATUS.EQ.1
$       THEN
$         WRITE SYS$OUTPUT "''F$TIME()' ''MY_ADDRESS' SPAM via local host database rejected"
$         SET MESSAGE/FACILITY/IDENTIFICATION/SEVERITY/TEXT
$         EXIT
$       ENDIF
$       SEARCH/NOLOG/NOWARN/OUT=NL: SPAM_DSBL.TXT "|''MY_ADDRESS'|"
$       IF $STATUS.EQ.1
$       THEN
$         WRITE SYS$OUTPUT "''F$TIME()' ''MY_ADDRESS' SPAM via local DSBL host database rejected"
$         SET MESSAGE/FACILITY/IDENTIFICATION/SEVERITY/TEXT
$         EXIT
$       ENDIF
$
$       UCX SHOW HOST 'MY_ADDRESS_REVERSE'.LIST.DSBL.ORG
$       IF $STATUS.EQ.1
$       THEN
$         WRITE SYS$OUTPUT "''F$TIME()' ''MY_ADDRESS' SPAM from relay rejected (found in LIST.DSBL.ORG)"
$         SET MESSAGE/FACILITY/IDENTIFICATION/SEVERITY/TEXT
$         OPEN/APPEND FCB SPAM_DSBL.TXT
$         WRITE FCB "|''MY_ADDRESS'|"
$         CLOSE FCB
$         EXIT
$       ENDIF
$       UCX SHOW HOST 'MY_ADDRESS_REVERSE'.MULTIHOP.DSBL.ORG
$       IF $STATUS.EQ.1
$       THEN
$         WRITE SYS$OUTPUT "''F$TIME()' ''MY_ADDRESS' SPAM source relay rejected (found in MULTIHOP.DSBL.ORG)"
$         SET MESSAGE/FACILITY/IDENTIFICATION/SEVERITY/TEXT
$         OPEN/APPEND FCB SPAM_DSBL.TXT
$         WRITE FCB "|''MY_ADDRESS'|"
$         CLOSE FCB
$         EXIT
$       ENDIF
$CHECK_OK:
$       SET MESSAGE/FACILITY/IDENTIFICATION/SEVERITY/TEXT
$       SET ON
$	run sys$system:ucx$smtp_receiver.exe
$	goto exit
$	!
$smtp_not_started:
$	!
$	! UCX SMTP has not been started
$	!
$	write sys$output "The UCX SMTP component has not been started"
$	write sys$output  "Please execute SYS$MANAGER:UCX$SMTP_STARTUP.COM to start UCX SMTP."
$	goto exit
$
$exit:
$ 	!
$ 	! Exit here
$ 	!
$ 	s = $status
$	if .not.s
$	then
$		write sys$output "SMTP Receiver start-up failed."
$	endif
$ 	exit s
